package com.huigou.topsun.sap.purchaseApproval.application;

import com.huigou.topsun.sap.purchaseApproval.domain.SapPurchaseApproval;
import com.huigou.topsun.sap.purchaseApproval.domain.query.SapPurchaseApprovalQueryRequest;
import com.huigou.topsun.sap.purchaseApproval.domain.vo.SapPurchaseApprovalDto;
import com.huigou.topsun.sap.purchaseApproval.domain.vo.SapPurchaseApprovalVo;

import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/01/09/18:59
 * @Description:
 */
public interface SapPurchaseApprovalApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/sapPurchaseApproval/sapPurchaseApproval.xml";

    String PROCESS_DEFINITION_KEY = "sapPurchaseApprovalProc";

    Map<String,Object> slicedSapPurchaseApprovalList(SapPurchaseApprovalQueryRequest queryRequest);

    SapPurchaseApproval loadSapPurchaseApproval(String id);

    void saveSapPurchaseApprovalVo(SapPurchaseApprovalDto sapPurchaseApprovalDto);

    String revokeApproval(String id,String revokeReason,String revokeType);

    String checkOrderByPurchaseNo(String banfn);

    void abortPurchaseApproval(String id, String jobPageId);
}
